# DualTVDD

Research code to produce numerical results for [1].
Read and use at your own risk.

[1] Stephan Hilb and Andreas Langer. 'A General Decomposition Method
for a Convex Problem Related to Total Variation Minimization'. In preparation.
2022

## Getting started

1. `julia --project=scripts/`
2. `]instantiate`
3. execute statements in `include("scripts/run.jl")`. There is a memory leak
   currently, so the Julia session should better be restarted after every
   experiment.

### Running parallel scaling tests

1. start Julia with e.g. `julia -p 9 --project=scripts/`
2. `@everywhere using Pkg`
3. `@everywhere Pkg.activate("scripts/")`
4. as above
